Support » Plugin: BigCommerce For WordPress » PHP Errors / Can’t Create Channel

  • Resolved ThemeMee

    (@thememee)


    Trying to test BigCommerce plugin on WordPress 5.0 running on WAMP with the default Twenty Nineteen theme and no other plugins installed; PHP 7.0. On activating the plugin:

    ( ! ) Warning: getenv() expects exactly 1 parameter, 2 given in C:\wamp64\www\testsite\wp-content\plugins\bigcommerce\bigcommerce.php on line 58

    ( ! ) Warning: Cannot modify header information – headers already sent by (output started at C:\wamp64\www\testsite\wp-content\plugins\bigcommerce\bigcommerce.php:58) in C:\wamp64\www\testsite\wp-admin\includes\misc.php on line 1144

    For grins, removed “, true” from line 58 in bigcommerce.php. This gets rid of the errors and triggers the popup/login window. Logged into and connected with my BigCommerce Sandbox store. Then I get the “Channel Settings” screen with the “Select a Channel” drop down. Choosing “Create a New Channel” I attempt to do so (with different names, just in case) and always get the error message “An error occurred creating your channel”

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Contributor becomevocal

    (@becomevocal)

    Hey @thememee, thanks for trying the plugin!

    I’d suggest removing the plugin completely, re-installing, and using the API credentials connection method that’s described here: https://developer.bigcommerce.com/bigcommerce-for-wordpress/setup/multi-site

    While it says it’s for multi-site users, it also helps for getting around connection issues with single sites.

    Let me know if this works better for you!

    Oudaryamay Burai

    (@oudaryamayburai)

    Hello @thememee,

    You can not connect the Bigcommerce store from your WAMP server(localhost). The WordPress site, where from you are sending an API request to Bigcommerce, need SSL And Min. TLS Version 1.2.

    In the Bigcommerce end, there is a security layer for the API request validate. So when any non-SSL request is hit, the security layer rejects it and the plugin failed to go next step and showing the error message.

    Hope you understand!

    Plugin Support Topher

    (@topher1kenobe)

    @thememee The first error looks like a PHP version issue:
    5.5.38, 5.6.24, 7.0.9 The local_only parameter has been added.

    Do you still need help on this one?

    Plugin Support Mikaela

    (@mikaelabc)

    Resolving this for now!

    peachyyazzy

    (@peachyyazzy)

    Hi Guys!

    I am having a hell of an issue that I can’t figure out. We hooked up the API without having an SSL. Then, since we are embedding the checkout on a specific channel (www.neckenvy.com), we hooked up the SSL, and all the urls were updated, but the backend code that allows to embedd seems to be stuck on HTTP. I have no clue how to change that and our checkout right now is just an empty page. See screenshot: https://prnt.sc/myxv0r

    If anyone can help, thank you so much!!

    Plugin Contributor becomevocal

    (@becomevocal)

    @peachyyazzy Ok, I believe what is happening is, under the hood, the base URL of the Site on BC hasn’t been updated. That normally requires an API call. However, @topher1kenobe has made a simple plugin that you can install to change it for you to match the new WP site. You can download the plugin zip here: https://drive.google.com/open?id=19-fUjmDNxGEP4e25o-C_wYpqF7fWlp00

    After you install the plugin, you should only need to load your site once for it to work. After one page load, you should remove the plugin, as it doesn’t need to run the request more than once to fix your issue.

    Let me know if this helps or if you me to clarify anything else!

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.